<template>
  <div class="card-detail">
    <div class="card-collapse">
      <el-collapse accordion>
        <el-collapse-item name="1">
          <template #title>
            <AsIcon name="card-detail" />
            Card details
          </template>
          <div class="card-collapse__inner">Card details</div>
        </el-collapse-item>
        <el-collapse-item name="2">
          <template #title>
            <AsIcon name="transaction" />
            Recent transactions
          </template>
          <div class="card-collapse__inner">
            <TransactionItem
              v-for="item in transactions"
              :key="item.id"
              :icon="item.icon"
              :bgIcon="item.bgIcon"
              :transactionName="item.transactionName"
              :transactionTime="item.transactionTime"
              :amount="item.amount"
              :transactionType="item.transactionType"
            />
          </div>
          <div class="card-collapse__view-all">View all card transactions</div>
        </el-collapse-item>
      </el-collapse>
    </div>
  </div>
</template>

<script>
import { InfoFilled } from '@element-plus/icons-vue';
import TransactionItem from './TransactionItem';

export default {
  name: 'CardDetail',
  components: { InfoFilled, TransactionItem },
  data: () => {
    return {
      transactions: [
        {
          id: '1',
          icon: 'file-storage',
          bgIcon: '#E7F5FF',
          transactionName: 'Hamleys',
          transactionTime: '20 May 2020',
          amount: 150,
          transactionType: 1,
        },
        {
          id: '2',
          icon: 'flight',
          bgIcon: '#E5FBF7',
          transactionName: 'Hamleys',
          transactionTime: '20 May 2020',
          amount: 150,
          transactionType: -1,
        },
        {
          id: '3',
          icon: 'megaphone',
          bgIcon: '#FEEDF4',
          transactionName: 'Hamleys',
          transactionTime: '20 May 2020',
          amount: 150,
          transactionType: -1,
        },
        {
          id: '4',
          icon: 'file-storage',
          bgIcon: '#E7F5FF',
          transactionName: 'Hamleys',
          transactionTime: '20 May 2020',
          amount: 150,
          transactionType: -1,
        },
      ],
    };
  },
};
</script>

<style lang="scss">
.card-collapse {
  .el-collapse {
    border-top: 0;
    border-bottom: 0;
  }
  .el-collapse-item {
    margin-bottom: 20px;
    &__wrap {
      border-bottom: 0;
    }
    &__header {
      height: 72px;
      background-color: $-grey;
      border: 1px solid $-border-grey;
      padding: 26px 24px;
      border-radius: 8px;
      box-shadow: 0 0 8px $-border-grey;
      .as-icon {
        margin-right: 12px;
      }
    }
    &__content {
      padding-bottom: 0;
      margin-top: -15px;
    }
    &__arrow {
      font-size: 18px;
      background-color: $-icon-gray;
      padding: 3px;
      border-radius: 50%;
      transform: rotate(90deg);
      &.is-active {
        transform: rotate(-90deg);
      }
      svg {
        color: $-white;
      }
    }
  }
  &__inner {
    position: relative;
    min-height: 100px;
    padding: 40px 24px 0;
    background-color: $-white;
    border: 1px solid $-border-grey;
    border-radius: 8px;
    z-index: 2;
    .transaction-item {
      padding-bottom: 18px;
      margin-bottom: 16px;
      border-bottom: 1px solid $-border-grey;
      &:last-child {
        border-bottom: 0;
        margin-bottom: 0;
      }
    }
  }
  &__view-all {
    position: relative;
    display: flex;
    justify-content: center;
    align-items: center;
    height: 60px;
    color: #01d167;
    font-weight: bold;
    background-color: #edfff5;
    border: 1px solid #ddffec;
    border-radius: 8px;
    margin-top: -15px;
    padding-top: 15px;
    cursor: pointer;
    z-index: 1;
  }
}
</style>
